
BOOL		SceneInit		(void);

//==================================================
//
//	make the World Scene
//
//==================================================

BOOL SceneInit(void)
{



	d3drm.D3DRM->CreateFrame(d3drm.scene, &lpWorldFrame); //   LpWorldFrame,    d3drm.scene
	d3drm.D3DRM->CreateFrame(d3drm.scene, &lpLightFrame);//     lpLightFrame,      d3drm.scene

	lpLightFrame->SetPosition(d3drm.scene, D3DVAL(-5), D3DVAL(8), D3DVAL(-5)); //       (-5,8,-5)
	
	d3drm.D3DRM->CreateLightRGB(D3DRMLIGHT_AMBIENT, D3DVAL(0.5), D3DVAL(0.5), D3DVAL(0.5), &lpLight);;//   
	lpLightFrame->AddLight(*(&lpLight));//     
        d3drm.D3DRM->CreateLightRGB(D3DRMLIGHT_POINT, D3DVAL(1), D3DVAL(1), D3DVAL(1), &lpLight);
        lpLightFrame->AddLight(*(&lpLight));


	d3drm.camera->SetPosition(d3drm.scene, D3DVAL(camX), D3DVAL(camY), D3DVAL(camZ));//     
	d3drm.camera->SetOrientation(d3drm.scene, D3DVAL(-1), D3DVAL(-1), D3DVAL(1),D3DVAL(-1), D3DVAL(1), D3DVAL(1));//    .

	d3drm.D3DRM->CreateWrap (D3DRMWRAP_FLAT, NULL, // 
		D3DVAL(0.0), D3DVAL(0.0), D3DVAL(0.0),
		D3DVAL(0.0), D3DVAL(1.0), D3DVAL(0.0),
		D3DVAL(0.0), D3DVAL(0.0), D3DVAL(1.0),
		D3DVAL(0.0), D3DVAL(0.0),
		D3DVAL(1.0), D3DVAL(1.0),
		&wrap1);

   d3drm.D3DRM->LoadTexture ("textures\\dollar.BMP", &texture1); //  

 lpWorldFrame->SetRotation(d3drm.scene, D3DVAL(0.0), D3DVAL(1.0),D3DVAL(0.0), D3DVAL(0.05)); //  
    d3drm.D3DRM->CreateMeshBuilder(&dollar); //  MeshBuilder
    dollar->Load("models/rectan.x",NULL,D3DRMLOAD_FROMFILE, NULL, NULL);// MeshBuilder  3-  
    dollar->SetTexture(texture1); //    
	dollar->SetPerspective(TRUE); //  - 
	wrap1->Apply (dollar); //     
    dollar->SetTextureCoordinates(0,0.000000,1.000000); //     
    dollar->SetTextureCoordinates(1,0.000000,0.000000);
    dollar->SetTextureCoordinates(2,1.000000,0.000000);
    dollar->SetTextureCoordinates(3,1.000000,1.000000);
   lpWorldFrame->AddVisual (dollar);  //      lpWorldFrame
  
    d3drm.D3DRM->CreateAnimation(&animation);  //  

	animation->SetOptions   ( D3DRMANIMATION_CLOSED //  
                                         | D3DRMANIMATION_SPLINEPOSITION
                                         | D3DRMANIMATION_POSITION);

	animation->SetFrame(lpWorldFrame); //   
	animation->AddPositionKey(0,  0 ,0, 0); //    
	animation->AddPositionKey(20, 10,0, 0);
	animation->AddPositionKey(40, 10,0,10);
	animation->AddPositionKey(60, 0 ,0,10);
	animation->AddPositionKey(80, 0 ,0, 0);

	return TRUE;

//================================================
//	End SceneInit
//================================================

};
